body{
  font-family: monaco, Consolas, 'Lucida Console', monospace; 
  margin: 0px;
}

canvas{
  position: absolute;
  top: 0px;
  left: 0px;
}

.tooltip {
  top: -1000px;
  position: fixed;
  padding: 10px;
  background: rgba(255, 255, 255, .90);
  border: 1px solid lightgray;
  pointer-events: none;
}
.tooltip-hidden{
  opacity: 0;
  transition: all .3s;
  transition-delay: .1s;
}

@media (max-width: 590px){
  div.tooltip{
    bottom: -1px;
    width: calc(100%);
    left: -1px !important;
    right: -1px !important;
    top: auto !important;
    width: auto !important;
  }
}

svg{
  overflow: visible;
}

.domain{
  display: none;
}

text{
  pointer-events: none;
  text-shadow: 0 1px 0 #fff, 1px 0 0 #fff, 0 -1px 0 #fff, -1px 0 0 #fff;
}





/*GS STYLES*/

body{
  max-width: 900px;
  margin: 0px auto;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

#container{
  position: relative;
}

#sections{
  width: 340px;
}

#sections > div{
  background: white;
  opacity: .2;
  margin-bottom: 200px;
}
#sections > div:last-child{
  margin-bottom: 30px;
}
#sections > div.graph-scroll-active{
  opacity: 1;
}

#graph{
  margin-left: 40px;
  width: 500px;
  position: absolute;
  top: 0px;
  margin-left: 380px;
}

.graph-scroll-fixed #graph{
  position: fixed;
  top: 0px;
}

.graph-scroll-below #graph{
  bottom: 0px;
  top: auto;
}

@media (max-width: 925px)  {
  #graph{
    width: 100%;
    transform: translate(-50%, 0);
    margin-left: 50%;
  }

  #sections{
    position: relative;
    margin: 0px auto;
    padding-top: 400px;
  }

  #sections div{
    background: rgba(255,255,255,.5);
    padding: 10px;
    border: 1px solid;
    max-width: 400px;
    margin-bottom: 500px;
  }
}

h1{
  margin: 50px;
}

h1, h3{
  text-align: center;
}

circle{
  fill: steelblue;
}

.mono{
  font-family: monospace;
}

svg{
  /*background-color: #eee;*/
}
